Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm using Acer TimelineX from beginning of using 12.04, Compiz is crashing more than twice daily. Up to today I've been trying to solve this problem by:

  1. Using another driver and graphic card.
  2. Using newest kernel and Xorg from Quantal backports.
  3. Resetting Compiz settings and whole profile.
  4. Changing Alt+Tab button bindings (I've readed that can be related).

What can I do more to resolve this issue?

share|improve this question

closed as not a real question by mikewhatever, hbdgaf, con-f-use, izx, Mitch Aug 28 '12 at 18:50

It's difficult to tell what is being asked here. This question is ambiguous, vague, incomplete, overly broad, or rhetorical and cannot be reasonably answered in its current form. For help clarifying this question so that it can be reopened, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
what are your computer's specs: cpu, gpu, ram? type sudo lshw | less –  cipricus Aug 28 '12 at 14:10
    
Here it is: ge.tt/72zDsjM/v/0 –  qMic Aug 28 '12 at 17:03

1 Answer 1

up vote 3 down vote accepted

I had these and other problems in compiz. You can find a bug report here. In short, the solution to that particular bug was to install an alternative, older version of the packages:

sudo apt-add-repository ppa:vanvugt/compiz-preproposed
sudo apt-get update
sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

Restart compiz:

compiz --replace &

If that does not work better for you, the packages will be replaced during the next system update. Or just do

apt-get update
apt-get dist-upgrade

If, however, you have better experience with that older package (that was my case), you can make the change more permanent ("pin" the package at a certain version). For this, install synaptic:

apt-get install synaptic

Synaptic is an alternate package manager that also allows to pin the packages.

Alternatively, you can run:

{ echo compiz hold ; echo compiz-core hold ; echo compiz-plugins hold ; echo compiz-gnome hold ; echo compiz-plugins-default hold ; echo libdecoration0 hold ; } | sudo dpkg --set-selections
share|improve this answer
    
Thanks for sharing but it didn`t help. Compiz keeps crashing... –  qMic Aug 28 '12 at 20:59
    
Solved by disabling HUD! –  qMic Aug 29 '12 at 12:28
    
Compiz downgrade also helped in some situations. Now i have stable system at last. –  qMic Aug 30 '12 at 0:07

Not the answer you're looking for? Browse other questions tagged or ask your own question.